import http from '../../src/http';
import util from '../../src/libs/util';
import queue from '../../src/common/zzdmd'

Page({
  data: {
    id: ''
  },
  onLoad(query) {
    if (query.id) {
      this.setData({
        id: query.id,
        carNumber: query.carNumber,
        carType: query.carType
      })
    }
  },
  onShow() {
    // 页面显示
    queue('addCar','添加车辆',"pages/addCar/addCar")  
  },
  onClear(e) {
    this.setData({
      [e.target.dataset.field]: ''
    });
  },
  handleSubmit(e) {
    let formData = {}
    formData = e.detail.value
    formData.id = this.data.id
    formData.tenant_id = getApp().globalData.tenantId
    formData.create_by = getApp().globalData.userInfo.realname
    http.post(getApp().globalData.service + '/api/T_Equipment/AddOrUpdateEquipment', formData).then(res => {
      if(res.Success) {
        dd.redirectTo({
          url: '../sysCar/sysCar'
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
});
