import { JY_MENU_QUERY, SHY_MENU_QUERY, SYS_MENU_QUERY, BMD_MENU_QUERY } from '../../src/common/constant';
import dd from 'gdt-jsapi';
import queue from '../../src/common/zzdmd'
Page({
  data: {
    radius: true,
    personalGeneralInfo: {},
    showOrder: false,
    list: [
      {
        entitle: '待审批',
        icon: '../../src/assets/wait.png',
        page: '../orderList/orderList',
        title: '待审批'
      },
      {
        entitle: '已审批',
        icon: '../../src/assets/finish.png',
        page: '../orderFinish/orderFinish',
        title: '已审批'
      },
    ],
    menuList: []
  },
  handleMenuTap(e) {
    dd.navigateTo({
      url: e.target.dataset.info
    })
  },
  showOrder() {
    dd.navigateTo({
      url: '../orderList/orderList'
    })
  },
  onItemTap(event) {
    let index = event.target.dataset.index
    dd.navigateTo({
      url: this.data.list[index].page
    })
  },
  onLoad() {
    let myMenu = []
    let roleCodeList = getApp().globalData.userInfo.roleCodeList
    if (roleCodeList.find(i => i ==='jy')) {
      myMenu = myMenu.concat(JY_MENU_QUERY)
    }
    if (roleCodeList.find(i => i ==='cgkld') || roleCodeList.find(i => i ==='bmld') || roleCodeList.find(i => i ==='zw')) {
      myMenu = myMenu.concat(SHY_MENU_QUERY)
      this.setData({
        showOrder: true
      })
    }
    if (roleCodeList.find(i => i ==='gly')) {
      myMenu = myMenu.concat(SYS_MENU_QUERY)
    }
    let obj = {}
    let result = myMenu.reduce((item, next) => {
      obj[next.thumb] ? '' : obj[next.thumb] = true && item.push(next)
      return item
    }, [])
    this.setData({
      personalGeneralInfo: {
        userName: getApp().globalData.userInfo.name,
        company: getApp().globalData.userInfo.sysDepart.departName,
        avatar: getApp().globalData.userInfo.avatar
      },
      menuList: result
    });
  },
  onShow() {
    // 页面显示
    queue('my','我的',"pages/my/my")  
  },
});
